using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ListaInterfata
{
    class Program
    {
        static void Main(string[] args)
        {
            ListaVers1 l1 = new ListaVers1(10);
            ListaVers2 l2 = new ListaVers2(10);

            Console.WriteLine("Se incearca afisarea listelor nepopulate.");
            l1.Afiseaza();
            l2.Afiseaza();
            Console.WriteLine();

            Console.WriteLine("Se populeaza si se afiseaza listele obtinute obtinute.");
            for (int i = 0; i < 10; i++)
            {
                l1.AdaugaLaInceput(i);
                l2.AdaugaLaInceput(i*2 + i*3);
            }
            l1.Afiseaza();            
            Console.WriteLine("Primul element al listei este: " + l1.Primul() + ".\n");
            Console.WriteLine();

            l2.Afiseaza();
            Console.WriteLine("Primul element al listei este: " + l2.Primul() + ".\n");
            Console.WriteLine();

            Console.WriteLine("Se incearca adaugarea unui nou element, listele fiind pline.");
            l1.AdaugaLaInceput(13);
            l2.AdaugaLaInceput(13);
            l1.Afiseaza();
            Console.WriteLine();
            l2.Afiseaza();
            Console.WriteLine();

            Console.WriteLine("Se sterg primele 3 elemente din fiecare lista.");
            for (int i = 0; i < 3; i++)
            {
                l1.StergePrimul();
                l2.StergePrimul();
            }

            l1.Afiseaza();
            Console.WriteLine("Primul element al listei: " + l1.Primul() + ".\n");


            l2.Afiseaza();
            Console.WriteLine("Primul element al listei: " + l2.Primul() + ".\n");            
            
        }
    }
}
